Package fr.gouv.vitam.ihmdemo.common.pagination

# Class PaginationHelper

java.lang.Object
fr.gouv.vitam.ihmdemo.common.pagination.PaginationHelper

public class PaginationHelper extends Object
Pagination Helper

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaginationHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PaginationHelper`
  `getInstance()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getResult(com.fasterxml.jackson.databind.JsonNode result, OffsetBasedPagination pagination)`
  `com.fasterxml.jackson.databind.JsonNode`
  `getResult(String sessionId, OffsetBasedPagination pagination)`
  `com.fasterxml.jackson.databind.JsonNode`
  `paginate(com.fasterxml.jackson.databind.node.ObjectNode result, OffsetBasedPagination pagination)`
  `void`
  `setResult(String sessionId, com.fasterxml.jackson.databind.JsonNode result)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PaginationHelper

    public PaginationHelper()

- ## Method Details

  - ### getInstance

    public static PaginationHelper getInstance()

  - ### setResult

    public void setResult(String sessionId, com.fasterxml.jackson.databind.JsonNode result) throws VitamException
    Parameters:
      `sessionId` -
      `result` -
    Throws:
      `VitamException`

  - ### getResult

    public com.fasterxml.jackson.databind.JsonNode getResult(String sessionId, OffsetBasedPagination pagination) throws VitamException
    Parameters:
      `sessionId` -
      `pagination` -
    Returns:
      JsonNode
    Throws:
      `VitamException`

  - ### getResult

    public com.fasterxml.jackson.databind.JsonNode getResult(com.fasterxml.jackson.databind.JsonNode result, OffsetBasedPagination pagination) throws VitamException
    Parameters:
      `result` -
      `pagination` -
    Returns:
      JsonNode
    Throws:
      `VitamException`

  - ### paginate

    public com.fasterxml.jackson.databind.JsonNode paginate(com.fasterxml.jackson.databind.node.ObjectNode result, OffsetBasedPagination pagination) throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`